import Qt 4.7


Flipable
{
	id: flipable
	clip: true
	function isFlipped()
	{
		return flipable.state == "back"
	}
	function flip()
	{
		flipable.state = "back"
	}
	
	function flipBack()
	{
		flipable.state = ""	
	}

	transform: Rotation
	{
		id: rotor
		origin.x: flipable.width / 2
		origin.y: flipable.height / 2
		axis.x: 0; axis.y: 1; axis.z: 0
		angle: 0
	}
	
	states: State 
	{
		name: "back"
		PropertyChanges 
		{ 
			target: rotor; 
			angle: 180 
		}
	}
	transitions: Transition
	{
        ParallelAnimation
        {
            NumberAnimation
            {
            	target: rotor;
            	properties: "angle";
            	duration: 600
            }
            SequentialAnimation
            {
                NumberAnimation { target: flipable; property: "scale"; to: 0.5; duration: 300 }
                NumberAnimation { target: flipable; property: "scale"; to: 1.0; duration: 300 }
            }
        }
    }
}