import Qt 4.7

Item
{
    id: innerContent

    signal back
    signal home
    signal activate(string panelName)
    property alias caption: caption.caption
    property alias canHome: caption.canHome
    property alias displayArea: displayAreaLoader.sourceComponent
    property alias captionArea: captionAreaLoader.sourceComponent
    property alias viewArea: viewAreaLoader.sourceComponent
    property bool unloadable: true
    function getViewAreaItem()
    {
        return viewAreaLoader.item
    }

    objectName: "innerContent"
    anchors.fill: parent

    Loader
    {
        id: displayAreaLoader
        objectName: "displayAreaLoader"
        clip: true
        anchors.fill: parent
    }
    PanelCaption
    {
        id: caption;
        objectName: "panelCaption"
        anchors.top: parent.top
        onBack: innerContent.back()
        onHome: innerContent.home()
    }
    Loader
    {
        id: captionAreaLoader
        objectName: "captionAreaLoader"
        clip: true
        anchors.fill: caption
    }
    Loader
    {
        id: viewAreaLoader
        objectName: "viewAreaLoader"
        clip: true
        anchors.top: parent.top
        anchors.topMargin: 37
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        anchors.right: parent.right
    }
}
